%define _build_pkgcheck_srpm %{nil}

%define mname pygpgme
%define _exclude_files_from_autoprov %{py_platsitedir}/.*\\.so
%define _exclude_files_from_autoprov %{py3_platsitedir}/.*\\.so

Name:           python-gpgme
Version:        0.3
Release:        1
Summary:        Python module for working with OpenPGP messages
License:        LGPLv2+
Group:          Development/Python
URL:            https://launchpad.net/pygpgme
Source0:        https://pypi.python.org/packages/source/p/%{mname}/%{mname}-%{version}.tar.gz
Source100:      python-gpgme.rpmlintrc
BuildRequires:  pkgconfig(python2)
BuildRequires:  gpgme-devel

%description
PyGPGME is a Python module that lets you sign, verify, encrypt and decrypt
files using the OpenPGP format.  It is built on top of GNU Privacy Guard and
the GPGME library.

%package -n python3-gpgme
Summary:	Python 3 module for working with OpenPGP messages
Group:		Development/Python
BuildRequires:	pkgconfig(python3)

%description -n python3-gpgme
PyGPGME is a Python 3 module that lets you sign, verify, encrypt and decrypt
files using the OpenPGP format.  It is built on top of GNU Privacy Guard and
the GPGME library.

%prep
%setup -qn %{mname}-%{version}
cp -a . %{py3dir} 

%build
CFLAGS="%{optflags}" python2 setup.py build

pushd %{py3dir} 
CFLAGS="%{optflags}" python setup.py build
popd


%install
pushd %{py3dir}
python3 setup.py install -O1 --skip-build --root %{buildroot}
popd

python setup.py install -O1 --skip-build --root %{buildroot}
# No need to ship the tests
rm -rf %{buildroot}/%{py_platsitedir}/gpgme/tests/
rm -rf %{buildroot}/%{py3_platsitedir}/gpgme/tests/


%files
%doc README PKG-INFO
%{py_platsitedir}/*

%files -n python3-gpgme
%{py3_platsitedir}/*







%changelog
* Fri Nov 07 2014 Denis Silakov <denis.silakov@rosalab.ru> 0.3-1
+ Revision: 6dc4943
- Updated to 0.3, added python3 module


